## net.i2p.router.web
Class StatHelper

    java.lang.Object
      net.i2p.router.web.StatHelper

    public class StatHelper

extends java.lang.Object

uuuugly. dump the peer profile data if given a peer.

Constructor Summary
`StatHelper()`

Method Summary
`java.lang.String` `getProfile()`
`void` `setPeer(java.lang.String peer)`
`void` `setWriter(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatHelper

    public StatHelper()

Method Detail

### setPeer

    public void setPeer(java.lang.String peer)

### setWriter

    public void setWriter(java.io.Writer writer)

### getProfile

    public java.lang.String getProfile()